Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface InitializeCollectionEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultInitializeCollectionEventListener

    public interface InitializeCollectionEventListener

extends Serializable

Defines the contract for handling of collection initialization events generated by a session.

Method Summary
`void` | `onInitializeCollection(InitializeCollectionEvent event)`

Method Detail

### onInitializeCollection

    void onInitializeCollection(InitializeCollectionEvent event)
                                throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.